Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class MerkleTree.MerkleTreeSerializer

    java.lang.Object
      org.apache.cassandra.utils.MerkleTree.MerkleTreeSerializer

Enclosing class:
  MerkleTree

    public static class MerkleTree.MerkleTreeSerializer

extends java.lang.Object

Constructor Summary
`MerkleTree.MerkleTreeSerializer()`

Method Summary
`MerkleTree` | `deserialize(java.io.DataInputStream dis, int version)`
`void` | `serialize(MerkleTree mt, java.io.DataOutputStream dos, int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MerkleTree.MerkleTreeSerializer

    public MerkleTree.MerkleTreeSerializer()

Method Detail

### serialize

    public void serialize(MerkleTree mt,
                          java.io.DataOutputStream dos,
                          int version)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserialize

    public MerkleTree deserialize(java.io.DataInputStream dis,
                                  int version)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation